.buttons-filters {
  &__header {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1;
    background: $color-ligth-gray;
  }
  &__select {
    text-align: center;
    border: 1px solid #e5e5e5;
    border-radius: 0.3125rem;
    height: auto;
    & .ember-power-select-option {
      border-top: 1px solid #e6e6e6;
      line-height: 46px !important;
      height: 46px !important;
    }
    & + .ember-power-select-dropdown {
      height: 124px !important;
    }
    &.ember-power-select-trigger {
      line-height: rem(60px);
    }
    & > .ember-power-select-status-icon {
      display: none;
    }
    &.ember-basic-dropdown-trigger--below {
      border: 1px solid $dark;
    }
    &.ember-basic-dropdown-trigger--above {
      border: 1px solid $dark;
    }
    &.ember-power-select-trigger:focus,
    .ember-power-select-trigger--active,
    .ember-basic-dropdown-trigger--below
    .ember-basic-dropdown-trigger--above {
      border: 1px solid $dark;
    }
  }
  &__filters-container {
    padding-top: rem(48px);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    height: 100%;
    background: $color-ligth-gray;
  }
  & > * {
    font-size: .85rem;
  }
  &__modal {
    z-index: 1001;
  }
  &__modal-container {
    flex-direction: column;
    display: flex;
    overflow-y: auto;
    width: 100vw;
    height: 100%;
  }

  &__search-btn {
    display: inline-block;
    background-color: $primary;
    z-index: 450;
    border-radius: 0.3125rem;
    padding: 0 rem(10px);
    width: rem(140px);
    height: rem(50px);
    text-align: center;
    line-height: rem(50px);
    &:hover {
      background-color: $dark;
      text-decoration: none;
      & .svg-icon {
        fill: $primary;
      }
    }
    & .svg-icon {
      fill: $dark;
    }
  }
  &__list-icon {
    width: rem(36px);
  }
  &__sort-icon {
    background: #fff url(svg/icons/order.svg) rem(10px) center no-repeat;
    padding-left: rem(35px);
    background-size: rem(25px);
  }
  &__checkbox {
    min-width: rem(160px);
    &--border-grey {
      border: 1px solid #e5e5e5;
      &:focus {
        border: 1px solid $dark;
      }
    }
  }
  &__autocomplete-input {
    background: #fff url(svg/icons/autocomplete-place.svg) rem(10px) center no-repeat;
    padding-left: rem(35px);
    height: rem(62px);
    border: 1px solid #e5e5e5;
    &:focus {
      box-shadow: none;
      border: 1px solid $dark;
    }
  }
  &__no-localize-user-btn {
    width: rem(65px);
    height: rem(50px);
    padding-right: rem(15px);
    padding-left: rem(15px);
  }
  &__options {
    // box-shadow: 0 2px 6px rgba(0,0,0,0.3);
  }
  &__tags-multiple-select {
    height: auto;
    min-height: rem(62px);
    line-height: rem(62px);
    border: 1px solid #e5e5e5;
    border-radius: 0.3125rem;
    padding: 0 1rem;
    font-size: .85rem;
    &:focus {
      box-shadow: none;
      border: 1px solid $dark;
    }
    & .ember-power-select-trigger-multiple-input {
      line-height: rem(60px);
    }
    & .ember-power-select-multiple-option {
      border-radius: 24px;
      display: inline-block;
      font-size: .85rem;
      margin: 0 .5rem .5rem 0;
      padding: $hashtag-padding-x $hashtag-padding-y;
      background-color: $color-corporative;
      color: $color-black;
      margin-top: calc((60px - 29px) / 2);
      border: none;
    }
  }
  &__card-align {
    // Calc(aside max-width, button-card max-width, left padding)
    // max-width: calc(290px + 596px + 15px);
    max-width: calc(400px + 596px + 15px);

  }
}

@media screen and (min-width: 992px) and (max-width: 1100px) {
  .buttons-filters {
    &__small-padding {
      padding-left: 0.25rem;
      padding-right: 0.25rem;
    }
  }
}

@media screen and (min-width: 992px) {
  .buttons-filters {
    z-index: 450;
    position: fixed;
    &__select {
      height: auto;
      &.ember-power-select-trigger {
        line-height: 44px;
      }
      & .ember-power-select-option {
        line-height: 92px;
      }
      & + .ember-power-select-dropdown {
        height: 92px !important;
      }
    }
    &__tags-multiple-select {
      height: auto;
      min-height: 3rem;
      line-height: 3rem;
      & .ember-power-select-trigger-multiple-input {
        line-height: rem(60px);
      }
      & .ember-power-select-multiple-option {
        border-radius: 24px;
        display: inline-block;
        font-size: .85rem;
        margin: 0 .5rem .5rem 0;
        padding: $hashtag-padding-x $hashtag-padding-y;
        background-color: $color-corporative;
        color: $color-black;
        margin-top: calc((46px - 29px) / 2);
      }
    }
    &__autocomplete-input {
      height: rem(48px);
    }
    .checkbox__content {
      padding: rem(7px) rem(10px);
      line-height: rem(34px);
    }
  }
}

@media screen and (max-width: 390px) {
  .buttons-filters {
    &__checkbox-left {
      padding-left: rem(3px);
    }
    &__checkbox-right {
      padding-right: rem(3px);
    }
  }
}

.button_filters__date_text {
  height: rem(46px);
  & button {
    color: $color-blue;
    border: none;
    background: transparent;
    height: 100%;
    width: auto;
    max-width: rem(130px);
    overflow: hidden;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    &:hover {
      color:$color-blue;
      text-decoration: underline;
    }
  }
  & span:hover {
    cursor: pointer;
    color:white;
      }
}
